Subject: RE: linux-next: manual merge of the akpm tree with Linus' tree

From: Eric Paris <[email-masked]>
Date: Mon, 13 May 2013 01:20:16 -0400 (EDT)

-----Original Message-----
From: Kees Cook [[email-masked]]
Received: Monday, 13 May 2013, 12:49am
To: Eric Paris [[email-masked]]
CC: Stephen Rothwell [[email-masked]]; Andrew Morton [[email-masked]]; Linus [[email-masked]]; Linux-Next [[email-masked]]; LKML [[email-masked]]; Jeff Layton [[email-masked]]; Al Viro [[email-masked]]
Subject: Re: linux-next: manual merge of the akpm tree with Linus' tree

On Sun, May 12, 2013 at 7:11 PM, Eric Paris <[email-masked]> wrote:
> On Mon, 2013-05-13 at 12:07 +1000, Stephen Rothwell wrote:
>> Hi Andrew,
>>
>> Today's linux-next merge of the akpm tree got a conflict in
>> kernel/auditsc.c between commit b24a30a73054 ("audit: fix event coverage
>> of AUDIT_ANOM_LINK") from Linus' tree and commit "audit: fix mq_open and
>> mq_unlink to add the MQ root as a hidden parent audit_names record" from
>> the akpm tree.
>
> Actually, I've already picked the patch up for 3.11.  So Andrew, you can
> drop it.
>
>> I fixed it up (see below) and can carry the fix as necessary (no action
>> is required).
>>
>> BTW, commit b24a30a73054 from Linus' tree has Eric Paris as Author and
>> Committer, but is only Signed-off-by Kees Cook.  It is part of a long
>> series that did not go anywhere near linus-next.   I do have an audit
>> tree in linux-next
>> (git://git.kernel.org/pub/scm/linux/kernel/git/viro/audit.git#for-next)
>> but that hasn't seen any recent activity.
>
> I thought I sent you a note asking for audit to get pulled into -next
> quite a while back.  I'll resend...
>

Hrm, how did the Author get mangled?

I remember it having a conflict when I tried to merge it (someone else had changed the same area of the header file). So I used patch -p1 and fixed up the reject by hand. I wonder if I screwed up and used git commit -a instead of git am --resolved?   That is 2 things I should have caught on final review I missed.  :-(

Now to wait for everything else I screwed up...